﻿@model DomainModels.Entities.Access.ValidIp

@{
    ViewBag.Title = "ثبت آی پی مجاز";
}

<div class="alert alert-info">
    <i class="fa fa-arrow-left"></i> از طریق فرم زیر می توانید رنج آی پی هایی که می خواهید به سایت دسترسی داشته باشند را ثبت نمایید.
    <br />
    <i class="fa fa-arrow-left"></i> توجه داشته باشید که سامانه دارای سیستم تشخیص خودکار آی پی های ایرانی بوده و بصورت کاملا خودکار لیست آی پی های مجاز را کامل می نماید.
    <br />
    <i class="fa fa-arrow-left"></i> لذا فرم زیر فقط جهت موارد خاص می باشد
</div>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <div>
        <div>@Html.ValidationMessageFor(model => model.StartScope1)</div>
        <div>@Html.ValidationMessageFor(model => model.StartScope2)</div>
        <div>@Html.ValidationMessageFor(model => model.StartScope3)</div>
        <div>@Html.ValidationMessageFor(model => model.StartScope4)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope1)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope2)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope3)</div>
        <div>@Html.ValidationMessageFor(model => model.EndScope4)</div>
    </div>

    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                از
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.StartScope4, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.StartScope3, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.StartScope2, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.StartScope1, new { @class = "form-control ip", placeholder = "0-255" })

            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                تا
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
                @Html.TextBoxFor(model => model.EndScope4, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.EndScope3, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.EndScope2, new { @class = "form-control ip", placeholder = "0-255" })<span class="dot">.</span>
                @Html.TextBoxFor(model => model.EndScope1, new { @class = "form-control ip", placeholder = "0-255" })

            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                <input type="submit" value="ثبت" class="btn btn-info" />
            </div>
        </div>
    </div>
    }
